> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/rest-api/versions/delete.md).

# delete

## HTTP Request

```http
DELETE /api/v1/datasets/:datasetReference/versions/:tag
```

## Path parameters

| Parameter        |                                                                                                                                                                                                                 |
| ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| datasetReference | A qualified reference to the dataset. See [referencing resources](/api/referencing-resources.md) for more information.                                                                                          |
| tag              | <p>The version's tag, of the form <code>v1.0</code></p><p></p><p>Alternatively, you may specify <code>next</code> to delete the next (pending) version. The <code>current</code> version cannot be deleted.</p> |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md)
{% endhint %}

## Authorization

Edit access to the dataset is required. Your access token must have the following scope:

* data.edit

[Learn more about authorization.](/api/rest-api/authorization.md)

## Response body

If the deleted version was a `next` version, it will be immediately deleted, and no body will be included in the response. If the deleted version is an historic version, it will be marked as `isDeleted=true` and returned as a JSON representation of a [version.get resource](/api/resource-definitions/version.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.redivis.com/api/rest-api/versions/delete.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
